%define lcname recordmydesktop
%define ucname recordMyDesktop

Name: %lcname-qt
Version: 0.3.7.2
Release: alt1.M41.1

Summary: qt frontend for recordmydesktop, screencasting program
Group: Video
License: GPL

Url: http://sourceforge.net/projects/recordmydesktop/
Source: qt-%lcname-%version.tar.gz
Patch: %name-%version-alt-freedesktop.patch
BuildPreReq: libqt4-devel >= 4.2
Requires: %lcname >= %version

Packager: Sergey Kurakin <kurakin@altlinux.ru>

# Automatically added by buildreq on Mon Sep 22 2008 (-bi)
BuildRequires: python-module-PyQt4 ImageMagick

%description 
Qt frontend for recordMyDesktop, screencasting program
that captures audio-video data of a linux desktop session,
producing an ogg-encapsulated theora-vorbis file.

%prep
%setup -q -n qt-%lcname-%version
%patch -p1

%build
%configure
%make_build
convert -resize 16x16 src/qt-%lcname.png qt-%lcname-16.png
convert -resize 32x32 src/qt-%lcname.png qt-%lcname-32.png
convert -resize 48x48 src/qt-%lcname.png qt-%lcname-48.png

%install
%makeinstall
install -D -m 644 qt-%lcname-16.png %buildroot%_miconsdir/qt-%lcname.png
install -D -m 644 qt-%lcname-32.png %buildroot%_niconsdir/qt-%lcname.png
install -D -m 644 qt-%lcname-48.png %buildroot%_liconsdir/qt-%lcname.png
install -D -m 644 src/qt-%lcname.svg %buildroot%_iconsdir/hicolor/scalable/apps/qt-%lcname.svg
%find_lang qt-%ucname

%postun
%clean_menus

%post
%update_menus

%files -f qt-%ucname.lang
%_bindir/*
%python_sitelibdir/qt_%ucname/*
%_desktopdir/qt-%lcname.desktop
%_datadir/pixmaps/qt-%{lcname}*
%_miconsdir/qt-%lcname.png
%_niconsdir/qt-%lcname.png
%_liconsdir/qt-%lcname.png
%_iconsdir/hicolor/scalable/apps/qt-%lcname.svg
%doc AUTHORS ChangeLog NEWS README

%changelog
* Sun Nov 23 2008 Michael Shigorin <mike@altlinux.org> 0.3.7.2-alt1.M41.1
- built for M41

* Fri Sep 26 2008 Sergey Kurakin <kurakin@altlinux.ru> 0.3.7.2-alt2
- fixed repocop issues (iconsdir, freedesktop-desktop)

* Mon Sep 22 2008 Sergey Kurakin <kurakin@altlinux.ru> 0.3.7.2-alt1
- initial build for AltLinux Sisyphus
